deploy:
	ansible-playbook -i ansible/hosts ansible/playbook.yml -v

setup:
	ansible-galaxy install -r ansible/requirements.yml

# BEGIN
plan:
	cd provider && terraform plan \
	    -var "do_token=${DO_PAT}" \
	    -var "pvt_key=$HOME/.ssh/id_rsa"
apply:
	cd provider && terraform apply \
	    -var "do_token=${DO_PAT}" \
	    -var "pvt_key=$HOME/.ssh/id_rsa"

show:
	cd provider && terraform show terraform.tfstate
# END
